SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Macros
DS_MemoryPool.h File Reference
`#include <stdlib.h>`
`#include "assert.h"`
`#include "Export.h"`
`#include "memoryoverride.h"`

Go to the source code of this file.

## Classes

class | DataStructures::MemoryPool< MemoryBlockType >
struct | DataStructures::MemoryPool< MemoryBlockType >::MemoryWithPage
struct | DataStructures::MemoryPool< MemoryBlockType >::Page

## Namespaces

namespace | DataStructures

## Macros

#define | DS_MEMORY_POOL_MAX_FREE_PAGES 4

## Class Documentation

struct DataStructures::MemoryPool::MemoryWithPage

### template<class MemoryBlockType>
struct DataStructures::MemoryPool< MemoryBlockType >::MemoryWithPage

Definition at line 46 of file DS_MemoryPool.h.

Class Members
Page * | parentPage |
MemoryBlockType | userMemory |

struct DataStructures::MemoryPool::Page

### template<class MemoryBlockType>
struct DataStructures::MemoryPool< MemoryBlockType >::Page

Definition at line 51 of file DS_MemoryPool.h.

Class Members
MemoryWithPage ** | availableStack |
int | availableStackSize |
MemoryWithPage * | block |
Page * | next |
Page * | prev |

## Macro Definition Documentation

#define DS_MEMORY_POOL_MAX_FREE_PAGES 4

Definition at line 33 of file DS_MemoryPool.h.

Referenced by DataStructures::MemoryPool< MemoryBlockType >::Release().